#!/bin/bash

for ((i=3; i<2500; i+=10)) do
    cat <<EOF > script-${i}.in

&control
calculation='scf',
restart_mode='from_scratch',
pseudo_dir = './',
outdir='./',
prefix = 'scf_',
tstress = false,
tprnfor = false,
verbosity = 'high',
wf_collect = false
/
&system
ibrav=0, celldm(1)=1, ecutwfc=25, ecutrho = 400,
occupations = 'smearing', smearing = 'gauss', degauss = 0.001,
nat=8, ntyp=2
/
&electrons
conv_thr =  1.0d-11,
diago_full_acc = true,
mixing_beta = 0.8,
electron_maxstep = 100
/
&IONS
ion_dynamics='bfgs',
/
&CELL
cell_dynamics='bfgs',
/
ATOMIC_SPECIES
Ge 0.0 ge_lda_v1.4.uspp.F.UPF
Si 0.0 si_lda_v1.uspp.F.UPF
CELL_PARAMETERS
       10.26253566        0.00000000        0.00000000
        0.00000000       10.26253566        0.00000000
        0.00000000        0.00000000       10.26253566
ATOMIC_POSITIONS (angstrom)
EOF

    tail -n +$i Si7Ge-pos-1.xyz | head -n 8 >> script-${i}.in
    cat <<EOF >> script-${i}.in

K_POINTS (automatic)
2 2 2  0 0 0
EOF
cat script-${i}.in
OPENBLAS_NUM_THREADS=4 ~/codes/q-e-sirius/PW/src/pw.x -i script-${i}.in
done
